View Issue Details

IDProjectCategoryView StatusLast Update
0008539LazarusWidgetsetpublic2010-12-11 13:44
ReporterValdas JankūnasAssigned ToLuiz Americo 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Platformi386 32bitOSkUbuntuOS Version6.10
Product Version0.9.21 (SVN)Product Build10759 
Target Version0.9.30Fixed in Version0.9.29 (SVN) 
Summary0008539: Glyph overlaps border of TBitBtn, if glyph is bigger than button
Description If glyph of TBitBtn is bigger than button then glyph overlaps border of button as shown in image.

 Test app attached.

 I tried find where glyph is painted in button and realize that glyph is painted not with TButtonGlyph.Draw but with Widgetset iself..
TagsNo tags attached.
Fixed in Revision28647
LazTarget0.9.30
WidgetsetGTK 2
Attached Files

Activities

2007-03-17 22:50

 

example1.png (20,767 bytes)
example1.png (20,767 bytes)

2007-03-17 22:50

 

Archyvas.zip (3,705 bytes)

Valdas Jankūnas

2009-11-29 00:52

reporter   ~0032559

I tested in gtk2 (Lazarus r22855, Kubuntu 9.10 32bit). I not know is this bug: glyph overlaps button edge only button height is smaller than certain value, see attached pic "glyph_in_gtk2.png".

2009-11-29 00:53

 

glyph_in_gtk2.png (10,516 bytes)
glyph_in_gtk2.png (10,516 bytes)

Henry Vermaak

2009-12-01 17:46

reporter   ~0032636

I only see this behaviour when the button height goes below 13. gtk seems to stop shrinking the image. Not really an issue imo, but a widgetset anomaly.

Issue History

Date Modified Username Field Change
2007-03-17 22:50 Valdas Jankūnas New Issue
2007-03-17 22:50 Valdas Jankūnas File Added: example1.png
2007-03-17 22:50 Valdas Jankūnas Widgetset => GTK
2007-03-17 22:50 Valdas Jankūnas File Added: Archyvas.zip
2007-03-18 02:26 Vincent Snijders LazTarget => 1.0
2007-03-18 02:26 Vincent Snijders Status new => acknowledged
2008-04-24 09:57 Vincent Snijders Target Version => 1.0.0
2009-11-29 00:52 Valdas Jankūnas Note Added: 0032559
2009-11-29 00:53 Valdas Jankūnas File Added: glyph_in_gtk2.png
2009-11-29 09:43 Zeljan Rikalo Widgetset GTK => GTK, GTK 2
2009-12-01 17:46 Henry Vermaak Note Added: 0032636
2010-12-08 14:05 Luiz Americo Status acknowledged => assigned
2010-12-08 14:05 Luiz Americo Assigned To => Luiz Americo
2010-12-08 14:37 Luiz Americo Fixed in Revision => 28647
2010-12-08 14:37 Luiz Americo LazTarget 1.0 => 0.9.30
2010-12-08 14:37 Luiz Americo Widgetset GTK, GTK 2 => GTK 2
2010-12-08 14:37 Luiz Americo Status assigned => resolved
2010-12-08 14:37 Luiz Americo Fixed in Version => 0.9.29 (SVN)
2010-12-08 14:37 Luiz Americo Resolution open => fixed
2010-12-08 14:37 Luiz Americo Target Version 1.0.0 => 0.9.30
2010-12-11 13:44 Valdas Jankūnas Status resolved => closed